---
title: 'SLAM in the Field: An Evaluation of Monocular Mapping and Localization on Challenging Dynamic Agricultural Environment'
author: Shu, Fangwen & Lesur, Paul & Xie, Yaxu & Pagani, Alain & Stricker, Didier
date: '2021-01'
publications:
 - slam_in_the_field
---

# SLAM in the Field: An Evaluation of Monocular Mapping and Localization on Challenging Dynamic Agricultural Environment

10.1109/WACV48630.2021.00180

## Authors

Shu, Fangwen & Lesur, Paul & Xie, Yaxu & Pagani, Alain & Stricker, Didier


## Abstract


This paper demonstrates a system capable of combining a sparse, indirect, monocular visual SLAM, with both of-fline and real-time Multi-View Stereo (MVS) reconstruction algorithms. This combination overcomes many obstacles encountered by autonomous vehicles or robots employed in agricultural environments, such as overly repetitive patterns , need for very detailed reconstructions, and abrupt movements caused by uneven roads. Furthermore, the use of a monocular SLAM makes our system much easier to integrate with an existing device, as we do not rely on a LiDAR (which is expensive and power consuming), or stereo camera (whose calibration is sensitive to external perturbation e.g. camera being displaced). To the best of our knowledge, this paper presents the first evaluation results for monocular SLAM, and our work further explores unsupervised depth estimation on this specific application scenario by simulating RGB-D SLAM to tackle the scale ambiguity, and shows our approach produces reconstructions that are helpful to various agricultural tasks. Moreover, we highlight that our experiments provide meaningful insight to improve monocular SLAM systems under agricultural settings.
